Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Mon 28 Jul 2014, 10:30
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Multimedia
audacity-1.3.6 - audio editor
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 2 [21 Posts]   Goto page: 1, 2 Next
Author Message
disciple

Joined: 20 May 2006
Posts: 6426
Location: Auckland, New Zealand

PostPosted: Wed 05 Nov 2008, 03:01    Post subject:  audacity-1.3.6 - audio editor
Subject description: latest beta
 

audacity-1.3.6.pet 1.5MB
This version is not compiled against JACK.
I think it does require:
unicode wxGTK 3.3MB (earlier wxGTK packages are not unicode enabled and therefore incompatible) and:
twolame 0.1MB
libvamp 0.1MB
libsamplerate 0.1MB
soundtouch very small
Let me know if I missed anything Smile

The NLS package (1.6MB) is here (not required if you speak English)

The executables are upxed (at least for Audacity and wxGTK) - you should really un-upx them if you put it in an .sfs or a remastered CD.

_________________
DEATH TO SPREADSHEETS
- - -
Classic Puppy quotes
- - -
Beware the demented serfers!
Back to top
View user's profile Send private message 
zigbert


Joined: 29 Mar 2006
Posts: 5647
Location: Valåmoen, Norway

PostPosted: Tue 09 Dec 2008, 17:40    Post subject:  

Thank you for compiling Audacity.
I get the following error in Puppy 4.12.

Code:
# audacity
audacity: error while loading shared libraries: libvamp-hostsdk.so: cannot open shared object file: No such file or directory



Sigmund

_________________
Stardust resources
Back to top
View user's profile Send private message Visit poster's website 
disciple

Joined: 20 May 2006
Posts: 6426
Location: Auckland, New Zealand

PostPosted: Wed 10 Dec 2008, 02:11    Post subject:  

You must have just missed my link for libvamp.
This is why Ttuuxxx likes to create ENORMOUS packages that include all dependencies, instead of installing them all separately Smile

_________________
DEATH TO SPREADSHEETS
- - -
Classic Puppy quotes
- - -
Beware the demented serfers!
Back to top
View user's profile Send private message 
zigbert


Joined: 29 Mar 2006
Posts: 5647
Location: Valåmoen, Norway

PostPosted: Thu 11 Dec 2008, 04:35    Post subject:  

Embarassed
_________________
Stardust resources
Back to top
View user's profile Send private message Visit poster's website 
eztuxer


Joined: 06 Nov 2008
Posts: 483
Location: Belgium

PostPosted: Tue 16 Dec 2008, 15:29    Post subject:  

Its not starting on my AAO.

I've installed all 6 .pet

RXVT says:

libwx_gtk2u_richtext-2.8.so.0

missing.
Back to top
View user's profile Send private message Visit poster's website 
disciple

Joined: 20 May 2006
Posts: 6426
Location: Auckland, New Zealand

PostPosted: Wed 17 Dec 2008, 04:01    Post subject:  

That is in the unicode wxGTK pet.
Maybe try installing it again, or look in /usr/lib and see if it really isn't there.

Maybe it wouldn't work if you installed another wxGTK package as well... I don't know.

_________________
DEATH TO SPREADSHEETS
- - -
Classic Puppy quotes
- - -
Beware the demented serfers!
Back to top
View user's profile Send private message 
eztuxer


Joined: 06 Nov 2008
Posts: 483
Location: Belgium

PostPosted: Wed 17 Dec 2008, 22:04    Post subject:  

It's only the first missing dep of this list :



I'm running 411 tuned to the Aspire One by iscraigh :
http://www.murga-linux.com/puppy/viewtopic.php?t=35424

Last edited by eztuxer on Thu 18 Dec 2008, 12:21; edited 1 time in total
Back to top
View user's profile Send private message Visit poster's website 
eztuxer


Joined: 06 Nov 2008
Posts: 483
Location: Belgium

PostPosted: Wed 17 Dec 2008, 22:25    Post subject: Re: audacity-1.3.6 - audio editor
Subject description: latest beta
 

disciple wrote:

The executables are upxed (at least for Audacity and wxGTK) - you should really un-upx them if you put it in an .sfs or a remastered CD.


I used a remastered CD, that must be it.

How do I proceed about un-upx ing ?
Back to top
View user's profile Send private message Visit poster's website 
disciple

Joined: 20 May 2006
Posts: 6426
Location: Auckland, New Zealand

PostPosted: Thu 18 Dec 2008, 01:30    Post subject:  

No, that won't be the problem. The executables are upx'ed, not the libs, and it shouldn't cause any problems in a remaster - it would just mean the executables were compressed twice, so I think they might start a little slower on really old computers.

Quote:
How do I proceed about un-upx ing ?

You install the upx pet and run upx -d on the executables. That isn't your problem though, so don't worry about it.

Did you try reinstalling the unicode wxGTK pet? All those libs are in it

_________________
DEATH TO SPREADSHEETS
- - -
Classic Puppy quotes
- - -
Beware the demented serfers!
Back to top
View user's profile Send private message 
eztuxer


Joined: 06 Nov 2008
Posts: 483
Location: Belgium

PostPosted: Thu 18 Dec 2008, 12:20    Post subject:  

I just did it, and at install it gives me the same lis of missing deps.

When I left click to dwnload the .pet machine language fills navigator. ???
Back to top
View user's profile Send private message Visit poster's website 
MU


Joined: 24 Aug 2005
Posts: 13642
Location: Karlsruhe, Germany

PostPosted: Thu 18 Dec 2008, 13:53    Post subject:  

eztuxer wrote:

When I left click to dwnload the .pet machine language fills navigator. ???


right click the link - "save link location as"
Mark

_________________
my recommended links
Back to top
View user's profile Send private message Visit poster's website 
eztuxer


Joined: 06 Nov 2008
Posts: 483
Location: Belgium

PostPosted: Thu 18 Dec 2008, 18:02    Post subject:  

Its fixed up. Smile

Somehow the .pet was corrupted the previous times I dwnld it.
I'm using another connection (faster) and the file is now 3.3MB instead of 2.9MB.

Thanks for the help.
Back to top
View user's profile Send private message Visit poster's website 
justme

Joined: 06 May 2008
Posts: 90

PostPosted: Sun 04 Jan 2009, 19:09    Post subject:  

Hi
I seem to be haveing an issue with the wxGTK download...I downloaded 3 times twice 3.3 and the last 3.4...I am still geting terminal errors...why is the download so problematic ....what is upx and do I need to add tools to un-upx...

edit: that's odd..after posting I attempted that one more time install and it seems to work now...default was 16bit and 96000...dropped to 48000 and no clipping...YEH..

still curious about the un-upx and if it is recommended...I have a thumb install with savepup on thumb
Back to top
View user's profile Send private message 
aragon

Joined: 15 Oct 2007
Posts: 1698
Location: Germany

PostPosted: Mon 05 Jan 2009, 05:44    Post subject:  

hi justme,

Quote:
The executables are upxed (at least for Audacity and wxGTK) - you should really un-upx them if you put it in an .sfs or a remastered CD.


what disciple wrote just the other way round should be:
If you don't put the executables in an .sfs or a remastered CD you are fine with the upxed executables.

as a little explanation:
upx is a packer for executables which saves a lot of space (e.g. in your pup_save). But if you use it with another packer, there could be problems.

cheers
aragon

_________________
PUPPY SEARCH: http://wellminded.com/puppy/pupsearch.html
Back to top
View user's profile Send private message 
justme

Joined: 06 May 2008
Posts: 90

PostPosted: Mon 05 Jan 2009, 06:53    Post subject:  

Thanks...the ultimate packager...so does it work on puppy..I must look into tools
thanks
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 2 [21 Posts]   Goto page: 1, 2 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Multimedia
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0725s ][ Queries: 11 (0.0035s) ][ GZIP on ]